# Episode 1: Architecture of modern Android apps

In this episode we have talked about software architecture on Android. We have covered:

 - MVC
 - MVVM
 - MVVMC
 - MVP
 - [Flux](https://facebook.github.io/flux/docs/overview.html)
 - [Cycle.js](http://cycle.js.org/) (a.k.a. Model-View-Intent)

#### Guest:

Hannes Dorfmann [@sockeqwe](https://twitter.com/sockeqwe), [personal blog](http://hannesdorfmann.com/), [GitHub](https://github.com/sockeqwe/)

Open Source projects from Hannes:
* [Mosby](https://github.com/sockeqwe/mosby)
* [SQLBrite-DAO](https://github.com/sockeqwe/sqlbrite-dao)
* [FragmentArgs](https://github.com/sockeqwe/fragmentargs)
* [ParcelablePlease](https://github.com/sockeqwe/ParcelablePlease)


#### Additional links
* [AutoValue split into 2 jars issue](https://github.com/google/auto/issues/268)
* [Dagger 2 document about testing](https://google.github.io/dagger/testing.html)
* [Clean MVVM example](https://github.com/rheinfabrik/android-mvvm-example)
* [Gradle's incremental build issue with annotation processing](https://github.com/google/dagger/issues/298)
